#!/bin/bash
#
#------------------------------------------------------------------------
#
#   IBM Software
#   Licensed Material - Property of IBM
#   (C) Copyright International Business Machines Corp. 2022
#   All Rights Reserved.
#
#   U.S. Government Users Restricted Rights - Use, duplication or
#   disclosure restricted by GSA ADP Schedule Contract with
#   IBM Corp.
#
#------------------------------------------------------------------------
#   fetch_vmlinux.sh
#------------------------------------------------------------------------
KERNEL_LOC=https://ftp2.osuosl.org/pub/ppc64el/systemsim/p10
LE_KERNEL_FILE=vmlinux

check_deps() {
  for DEP in wget
  do
    DEP_PATH=`which $DEP 2>/dev/null`
    if [ "$DEP_PATH" == "" ]
    then
      echo "Error: $DEP command not found"
      echo "  Please install $DEP and try again"
      exit 2
    fi
  done
}

check_deps

# only a little endian kernel is supplied
KERNEL_FILE=$LE_KERNEL_FILE

echo "Fetching LE kernel..."
wget --no-check-certificate ${KERNEL_LOC}/${KERNEL_FILE}

echo "Kernel downloaded: $KERNEL_FILE"
